local function init(player_index)
   global.player = global.player or {}
   global.player[player_index] = global.player[player_index] or {}
   global.player[player_index].craft_count_enabled = true
   global.player[player_index].count = 1  -- this is 1 because we are doing an init after crafting the first item
   game.players[player_index].gui.left.add{type = "label", name = "craft_count", caption = "Crafted " .. global.player[player_index].count .. " items.", style = "description_title_label_style"}
end

local function comma_value(n)
	local left,num,right = string.match(n,'^([^%d]*%d)(%d*)(.-)$')
	return left..(num:reverse():gsub('(%d%d%d)','%1.'):reverse())..right
end

local function update(player_index)
   local player_count = global.player[player_index].count
   local gui=game.players[player_index].gui.left.craft_count
   player_count = player_count+1
   global.player[player_index].count=player_count
   if player_count == 111 then
       game.players[player_index].print("There goes the achievement, you crafted " .. comma_value(player_count) .. " items by hand.. #Restart! :)")
      end
   if gui then
      gui.caption = "Crafted " .. comma_value(player_count) .. " items."
   else
      game.players[player_index].gui.left.add{type = "label", name = "craft_count", caption = "Crafted " .. comma_value(player_count) .. " items.", style = "description_title_label_style"}
   end
end

script.on_event(defines.events.on_player_crafted_item, function(event)
   if global.player and global.player[event.player_index] and global.player[event.player_index].craft_count_enabled then
      update(event.player_index)
   else
      init(event.player_index)
   end
end)